package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaExpress;
import com.ruoyi.oa.domain.vo.OaExpressVo;
import com.ruoyi.oa.domain.bo.OaExpressBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.io.IOException;
import java.util.Collection;
import java.util.List;

/**
 * 物流预览Service接口
 *
 * @author hdka
 * @date 2025-07-20
 */
public interface IOaExpressService {

    /**
     * 查询物流预览
     */
    OaExpressVo queryById(Long expressId);

    /**
     * 查询物流预览列表
     */
    TableDataInfo<OaExpressVo> queryPageList(OaExpressBo bo, PageQuery pageQuery);

    /**
     * 查询物流预览列表
     */
    List<OaExpressVo> queryList(OaExpressBo bo);

    /**
     * 新增物流预览
     */
    Boolean insertByBo(OaExpressBo bo);

    /**
     * 修改物流预览
     */
    Boolean updateByBo(OaExpressBo bo);

    /**
     * 校验并批量删除物流预览信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 及时更新选中的状态
     * @param list
     * @return
     */
    Boolean getRefreshExpress(List<Long> list) throws IOException;

}
